Bug 848538 - [abrt] blueman-1.23-2.fc17: KillSwitchNG.py:126:io_event:TypeError: could not convert type instance to (null) required for parameter 0
[abrt] blueman-1.23-2.fc17: KillSwitchNG.py:126:io_event:TypeError: could not...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:b07fcf7378e51d082d0a297b2a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 16:40 EDT by markusN
Modified: 2013-08-01 02:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description markusN 2012-08-15 16:40:21 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         3.5.1-1.fc17.x86_64
time:           Wed 15 Aug 2012 09:31:11 AM CEST
uid:            1338
username:       neteler

backtrace:
:KillSwitchNG.py:126:io_event:TypeError: could not convert type instance to (null) required for parameter 0
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/main/KillSwitchNG.py", line 91, in <lambda>
:    self.iom = gobject.io_add_watch(self.fd, gobject.IO_IN | gobject.IO_ERR | gobject.IO_HUP, lambda *args: ref() and ref().io_event(*args) )
:  File "/usr/lib/python2.7/site-packages/blueman/main/KillSwitchNG.py", line 126, in io_event
:    self.emit("switch-removed", sw)
:TypeError: could not convert type instance to (null) required for parameter 0
:
:Local variables in innermost frame:
:idx: 1
:type: 2
:self: <KillSwitchNG object at 0x1f53820 (blueman+main+KillSwitchNG+KillSwitchNG at 0x1f8f620)>
:hard: 0
:sw: <blueman.main.KillSwitchNG.Switch instance at 0x1f32e18>
:data: '\x01\x00\x00\x00\x02\x01\x00\x00'
:source: 11
:soft: 0
:condition: 1
:op: 1

smolt_data:
:
:
:General
:=================================
:UUID: 33142b9c-cee3-4ba9-ab06-71f6a9c3327b
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.00
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8700  @ 2.53GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2535
:System Memory: 3943
:System Swap: 3999
:Vendor: Dell Inc.
:System: Precision M4400 
:Form factor: Portable
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4136:592) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:4136:592) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:4136:592) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10282:4136:592) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:10519:4136:592) pci, lpc_ich, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4136:592) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:16946:32902:4897) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:9288:4136:592) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4136:592) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:592) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:592) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:592) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(4480:2082:4136:592) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1142:4136:592) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(32902:10556:4136:592) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:4136:592) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:4136:592) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:4136:592) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4136:592) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4136:592) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4136:592) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:592) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1628:4136:592) pci, nvidia, VIDEO, G96M [Quadro FX 770M]
:(32902:10554:4136:592) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(4480:2098:4136:592) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 3779682 925902 733902 960992 650667 650667
:/dev/sda3 /home ext4 4096 4096 55303609 8369227 5559960 14049280 13596414 13596414
:
Comment 1 Fedora End Of Life 2013-07-03 21:30:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 02:00:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.